Notifly
API ReferenceTopics

List topic subscriptions

List all subscriptions of subscribers for a topic. Checkout all available filters in the query section.

GET
/v2/topics/{topicKey}/subscriptions

List all subscriptions of subscribers for a topic. Checkout all available filters in the query section.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

topicKey*string

The key identifier of the topic

Query Parameters

after?string

Cursor for pagination indicating the starting point after which to fetch results.

before?string

Cursor for pagination indicating the ending point before which to fetch results.

limit?number

Limit the number of items to return (max 100)

Rangevalue <= 100
orderDirection?string

Direction of sorting

Value in

  • "ASC"
  • "DESC"
orderBy?string

Field to order by

includeCursor?boolean

Include cursor item in response

subscriberId?string

Filter by subscriber ID

contextKeys?array<string>

Filter by exact context keys, order insensitive (format: "type:id")

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/topics/string/subscriptions?limit=10&contextKeys=tenant%3Aorg-123&contextKeys=region%3Aus-east-1"
{  "data": {    "data": [      {        "_id": "64da692e9a94fb2e6449ad08",        "identifier": "tk=product-updates:si=subscriber-123",        "createdAt": "2021-01-01T00:00:00.000Z",        "topic": {          "_id": "64da692e9a94fb2e6449ad06",          "key": "product-updates",          "name": "Product Updates",          "createdAt": "2023-08-15T00:00:00.000Z",          "updatedAt": "2023-08-15T00:00:00.000Z"        },        "subscriber": {          "_id": "64da692e9a94fb2e6449ad07",          "subscriberId": "user-123",          "avatar": "https://example.com/avatar.png",          "firstName": "John",          "lastName": "Doe",          "email": "[email protected]"        },        "contextKeys": [          "tenant:org-a",          "project:proj-123"        ]      }    ],    "next": "string",    "previous": "string",    "totalCount": 0,    "totalCountCapped": true  }}